UpdateRepository
Updates a source control repository with the information in the request body.
curl --request PATCH \
--url https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/repositories \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"tenant_meta": {}
},
"request": {
"force": true,
"update_mask": "<string>"
}
}
'import requests
url = "https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/repositories"
payload = {
"object": { "tenant_meta": {} },
"request": {
"force": True,
"update_mask": "<string>"
}
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({object: {tenant_meta: {}}, request: {force: true, update_mask: '<string>'}})
};
fetch('https://api.endorlabs.com/v1/namespaces/{object.tenant_meta.namespace}/repositories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ingested_object": {
"ingestion_time": "2023-11-07T05:31:56Z",
"raw": {},
"status": "INGESTED_OBJECT_STATUS_UNSPECIFIED"
},
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"default_branch": "<string>",
"http_clone_url": "<string>",
"platform_source": "PLATFORM_SOURCE_UNSPECIFIED",
"branch_protections": {},
"commit_hashes": [
"<string>"
],
"contributors": [
"<string>"
],
"create_time": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"languages": {
"ingested_object": {
"ingestion_time": "2023-11-07T05:31:56Z",
"raw": {},
"status": "INGESTED_OBJECT_STATUS_UNSPECIFIED"
}
},
"org": {
"ingested_object": {
"ingestion_time": "2023-11-07T05:31:56Z",
"raw": {},
"status": "INGESTED_OBJECT_STATUS_UNSPECIFIED"
}
},
"owner": {
"ingested_object": {
"ingestion_time": "2023-11-07T05:31:56Z",
"raw": {},
"status": "INGESTED_OBJECT_STATUS_UNSPECIFIED"
},
"meta": {
"name": "<string>",
"annotations": {},
"create_time": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"index_data": {
"data": [
"<string>"
],
"search_score": 123,
"tenant": "<string>",
"will_be_deleted_at": "2023-11-07T05:31:56Z"
},
"kind": "<string>",
"parent_kind": "<string>",
"parent_uuid": "<string>",
"references": {},
"tags": [
"<string>"
],
"update_time": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"upsert_time": "2023-11-07T05:31:56Z",
"version": "<string>"
},
"spec": {
"external_id": "<string>",
"platform_source": "PLATFORM_SOURCE_UNSPECIFIED",
"create_time": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"update_time": "2023-11-07T05:31:56Z"
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
},
"repository_license": {
"ingested_object": {
"ingestion_time": "2023-11-07T05:31:56Z",
"raw": {},
"status": "INGESTED_OBJECT_STATUS_UNSPECIFIED"
},
"name": "<string>"
},
"tags": [
{
"commit_date": "2023-11-07T05:31:56Z",
"name": "<string>",
"sha": "<string>"
}
],
"update_time": "2023-11-07T05:31:56Z",
"vulnerability_alerts_enabled": true
},
"tenant_meta": {
"namespace": "<string>"
},
"uuid": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".
Body
Request to update the repository.
Response
A successful response.
Repository represents the ingested information about a source control repository. A repository may refer to any type of source control repository, such as GitLab or GitHub.
Raw ingested object from a 3rd party source, along with any additional metadata we want to add to the object.
Show child attributes
Show child attributes
Common fields for all Endor Labs resources.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Tenant related data for the tenant containing the resource.
Show child attributes
Show child attributes
The UUID of the source control repository.
Was this page helpful?
